Cotizaciones
Convertir una cotización en factura
Crea una factura en borrador con el cliente, el punto de emisión y los
ítems de la cotización, que queda como converted. La cotización debe
tener un punto de emisión. Para enviar la factura al SRI, usa luego el
endpoint de envío de facturas.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
quotes
/
{id}
/
convert_to_invoice
Convertir una cotización en factura
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method": "<string>"
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice"
payload = { "payment_method": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_method: '<string>'})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payment_method' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice"
payload := strings.NewReader("{\n \"payment_method\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payment_method\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payment_method\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"payment_method": "<string>",
"payments": [
{
"forma_pago": "<string>",
"detail_code": "<string>",
"amount": 123,
"plazo": 123,
"due_date": "2023-12-25",
"notes": "<string>"
}
],
"total_without_taxes": 123,
"total_discount": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"total_ice": 123,
"total": 123,
"access_key": "<string>",
"authorization_number": "<string>",
"error_message": "<string>",
"creditable_amount": 123,
"credit_notes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sequential": "<string>",
"total": 123
}
],
"debit_notes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sequential": "<string>",
"total": 123
}
],
"public_url": "<string>",
"pdf_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"ice_rate": 123,
"total": 123,
"creditable_quantity": 123
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Identificador de la cotización.
Body
application/json
Código SRI de forma de pago de la factura (por defecto 20).
Response
La factura creada en borrador.
Show child attributes
Show child attributes
Convertir una cotización en factura
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method": "<string>"
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice"
payload = { "payment_method": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_method: '<string>'})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payment_method' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice"
payload := strings.NewReader("{\n \"payment_method\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payment_method\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_invoice")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payment_method\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"payment_method": "<string>",
"payments": [
{
"forma_pago": "<string>",
"detail_code": "<string>",
"amount": 123,
"plazo": 123,
"due_date": "2023-12-25",
"notes": "<string>"
}
],
"total_without_taxes": 123,
"total_discount": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"total_ice": 123,
"total": 123,
"access_key": "<string>",
"authorization_number": "<string>",
"error_message": "<string>",
"creditable_amount": 123,
"credit_notes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sequential": "<string>",
"total": 123
}
],
"debit_notes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sequential": "<string>",
"total": 123
}
],
"public_url": "<string>",
"pdf_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"ice_rate": 123,
"total": 123,
"creditable_quantity": 123
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}